Aller au contenu principal

AWS Cloud Connectivity - Credentials - Remplacer (PUT)

Cette page d?crit l'op?ration Remplacer (PUT) de l'API AWS Cloud Connectivity. Utilisez un jeton JWT bearer valide.

PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Param?tres​

Param?treEmplacementObligatoireType / valeur par d?faut
idpathYesstring uuid
projectIdpathYesstring uuid

Corps de la requ?te​

Champ JSONObligatoireType / remarques
nameYesstring: aws credentials name
descriptionNostring: aws credentials description
apiKeyYesstring: apiKey on aws
secretKeyYesstring: secretKey on aws
expirationDateNostring date: expiration date of the aws credentials

R?ponse​

R?ponse de succ?s : 200. ok Response schema: object.